<?php
// フォームデータの受け取り
$request = array_merge($_GET,$_POST);

// フォームデータをActionInfoに変換
$actionInfo = new ActionInfo();
$actionInfo->parseRequest($request);

// 各種Utilの作成
UserUtil::prepare();
$formUtil = new FormUtil();

do {
	// アクションを取得
	$baseAction = null;
	if (!isBlank($actionInfo->actionName)) {
		$baseAction = getAction($actionInfo->actionName);
	}
	if ($baseAction == null) {
		// 取得できなければデフォルトのアクションを取得
		$actionInfo->actionName = $defaultActionName;
		$baseAction = getAction($actionInfo->actionName);
	}
	// アクションを実行
	$baseAction->action($actionInfo);
	// フォワードする場合はリクエストにフォームを移し替える
	if ($actionInfo->forwardActionName != null) {
		$actionInfo->request = $actionInfo->form;
		$actionInfo->form = array();
		$actionInfo->actionName = $actionInfo->forwardActionName;
		$actionInfo->forwardActionName = null;
	} else {
		break;
	}
} while(true);

// Viewを取得する
$viewFile = getView($actionInfo->viewName);
if ($viewFile == null) {
	$viewFile = getView($errorViewName);
}
// Viewを表示する
$formUtil->actionInfo = $actionInfo;
include VIEW_DIR.$baseViewName;
?>