<?php
class AbstractUserDtoDao {

	var $tableName = "T_USER";
	var $itemColumns = array(
		"CREATE_USER"
		,"CREATE_TIMESTAMP"
		,"UPDATE_USER"
		,"UPDATE_TIMESTAMP"
		,"SEQ"
		,"USER_ID"
		,"NICK_NAME"
		,"PASSWORD_HASH"
		,"ENABLE"
	);

	public function getItemColumnsForInput() {
		$itemColumns = array();
		foreach ($this->itemColumns as $item) {
			if ($item != "SEQ") {
				$itemColumns[] = $item; 
			}
		}
		return $itemColumns;
	}
	public function createDtoFromArray(array &$ary) {
		$dto = new UserDto();
		$dto->createUser = $ary["CREATE_USER"];
		$dto->createTimestamp = $ary["CREATE_TIMESTAMP"];
		$dto->updateUser = $ary["UPDATE_USER"];
		$dto->updateTimestamp = $ary["UPDATE_TIMESTAMP"];
		$dto->seq = $ary["SEQ"];
		$dto->userId = $ary["USER_ID"];
		$dto->nickName = $ary["NICK_NAME"];
		$dto->passwordHash = $ary["PASSWORD_HASH"];
		$dto->enable = $ary["ENABLE"];
		return $dto;
	}
	public function createArrayFromDto(UserDto &$dto) {
		$ary = array();
		$ary["CREATE_USER"] = $dto->createUser;
		$ary["CREATE_TIMESTAMP"] = $dto->createTimestamp;
		$ary["UPDATE_USER"] = $dto->updateUser;
		$ary["UPDATE_TIMESTAMP"] = $dto->updateTimestamp;
		$ary["SEQ"] = $dto->seq;
		$ary["USER_ID"] = $dto->userId;
		$ary["NICK_NAME"] = $dto->nickName;
		$ary["PASSWORD_HASH"] = $dto->passwordHash;
		$ary["ENABLE"] = $dto->enable;
		return $ary;
	}
}
?>
