<?php
class CollectionDto {
	public $createUser;
	public $createTimestamp;
	public $updateUser;
	public $updateTimestamp;
	public $seq;
	public $themeSeq;
	public $userSeq;
	public $subSeq;
	public $title1;
	public $title2;
	public $title3;
	public $title4;
	public $description1;
	public $description2;
	public $description3;
	public $description4;
	public $collectionStatus;
	public $sortNo;
	public $nickName;
	public $collectionDetailDtoList = array();

	public function copyFromArray(array &$ary) {
		$this->createUser = $ary["createUser"];
		$this->createTimestamp = $ary["createTimestamp"];
		$this->updateUser = $ary["updateUser"];
		$this->updateTimestamp = $ary["updateTimestamp"];
		$this->seq = $ary["seq"];
		$this->themeSeq = $ary["themeSeq"];
		$this->userSeq = $ary["userSeq"];
		$this->subSeq = $ary["subSeq"];
		$this->title1 = $ary["title1"];
		$this->title2 = $ary["title2"];
		$this->title3 = $ary["title3"];
		$this->title4 = $ary["title4"];
		$this->description1 = $ary["description1"];
		$this->description2 = $ary["description2"];
		$this->description3 = $ary["description3"];
		$this->description4 = $ary["description4"];
		$this->collectionStatus = $ary["collectionStatus"];
		$this->sortNo = $ary["sortNo"];
		$this->nickName = $ary["nickName"];
		$this->collectionDetailDtoList = ($ary["collectionDetailDtoList"] != NULL) ? CollectionDetailDto::createDtoArrayFromArrayArray($ary["collectionDetailDtoList"]) : array();
	}
	public function copyToArray(array &$ary) {
		$ary["createUser"] = $this->createUser;
		$ary["createTimestamp"] = $this->createTimestamp;
		$ary["updateUser"] = $this->updateUser;
		$ary["updateTimestamp"] = $this->updateTimestamp;
		$ary["seq"] = $this->seq;
		$ary["themeSeq"] = $this->themeSeq;
		$ary["userSeq"] = $this->userSeq;
		$ary["subSeq"] = $this->subSeq;
		$ary["title1"] = $this->title1;
		$ary["title2"] = $this->title2;
		$ary["title3"] = $this->title3;
		$ary["title4"] = $this->title4;
		$ary["description1"] = $this->description1;
		$ary["description2"] = $this->description2;
		$ary["description3"] = $this->description3;
		$ary["description4"] = $this->description4;
		$ary["collectionStatus"] = $this->collectionStatus;
		$ary["sortNo"] = $this->sortNo;
		$ary["nickName"] = $this->nickName;
		$ary["collectionDetailDtoList"] = ($this->collectionDetailDtoList != NULL) ? CollectionDetailDto::createArrayArrayFromDtoArray($this->collectionDetailDtoList) : array();
	}
	public static function createDtoArrayFromArrayArray(array &$aryAry) {
		$result = array();
		foreach ($aryAry as &$ary) {
			$dto = new CollectionDto();
			$dto->copyFromArray($ary);
			$result[] = $dto;
		}
		return $result;
	}
	public static function createArrayArrayFromDtoArray(array &$dtoAry) {
		$result = array();
		foreach ($dtoAry as &$dto) {
			$ary = array();
			$dto->copyToArray($ary);
			$result[] = $ary;
		}
		return $result;
	}
}
?>
