<?php
class FileDto {
	public $createUser;
	public $createTimestamp;
	public $updateUser;
	public $updateTimestamp;
	public $seq;
	public $realFileName;
	public $originalFileName;
	public $userSeq;
	public $userId;
	public $nickName;

	public function copyFromArray(array &$ary) {
		$this->createUser = $ary["createUser"];
		$this->createTimestamp = $ary["createTimestamp"];
		$this->updateUser = $ary["updateUser"];
		$this->updateTimestamp = $ary["updateTimestamp"];
		$this->seq = $ary["seq"];
		$this->realFileName = $ary["realFileName"];
		$this->originalFileName = $ary["originalFileName"];
		$this->userSeq = $ary["userSeq"];
		$this->userId = $ary["userId"];
		$this->nickName = $ary["nickName"];
	}
	public function copyToArray(array &$ary) {
		$ary["createUser"] = $this->createUser;
		$ary["createTimestamp"] = $this->createTimestamp;
		$ary["updateUser"] = $this->updateUser;
		$ary["updateTimestamp"] = $this->updateTimestamp;
		$ary["seq"] = $this->seq;
		$ary["realFileName"] = $this->realFileName;
		$ary["originalFileName"] = $this->originalFileName;
		$ary["userSeq"] = $this->userSeq;
		$ary["userId"] = $this->userId;
		$ary["nickName"] = $this->nickName;
	}
	public static function createDtoArrayFromArrayArray(array &$aryAry) {
		$result = array();
		foreach ($aryAry as &$ary) {
			$dto = new FileDto();
			$dto->copyFromArray($ary);
			$result[] = $dto;
		}
		return $result;
	}
	public static function createArrayArrayFromDtoArray(array &$dtoAry) {
		$result = array();
		foreach ($dtoAry as &$dto) {
			$ary = array();
			$dto->copyToArray($ary);
			$result[] = $ary;
		}
		return $result;
	}
}
?>
