<?php
class UserAttributeDto {
	public $createUser;
	public $createTimestamp;
	public $updateUser;
	public $updateTimestamp;
	public $seq;
	public $userSeq;
	public $attributeName;
	public $attributeValue;

	public function copyFromArray(array &$ary) {
		$this->createUser = $ary["createUser"];
		$this->createTimestamp = $ary["createTimestamp"];
		$this->updateUser = $ary["updateUser"];
		$this->updateTimestamp = $ary["updateTimestamp"];
		$this->seq = $ary["seq"];
		$this->userSeq = $ary["userSeq"];
		$this->attributeName = $ary["attributeName"];
		$this->attributeValue = $ary["attributeValue"];
	}
	public function copyToArray(array &$ary) {
		$ary["createUser"] = $this->createUser;
		$ary["createTimestamp"] = $this->createTimestamp;
		$ary["updateUser"] = $this->updateUser;
		$ary["updateTimestamp"] = $this->updateTimestamp;
		$ary["seq"] = $this->seq;
		$ary["userSeq"] = $this->userSeq;
		$ary["attributeName"] = $this->attributeName;
		$ary["attributeValue"] = $this->attributeValue;
	}
	public static function createDtoArrayFromArrayArray(array &$aryAry) {
		$result = array();
		foreach ($aryAry as &$ary) {
			$dto = new UserAttributeDto();
			$dto->copyFromArray($ary);
			$result[] = $dto;
		}
		return $result;
	}
	public static function createArrayArrayFromDtoArray(array &$dtoAry) {
		$result = array();
		foreach ($dtoAry as &$dto) {
			$ary = array();
			$dto->copyToArray($ary);
			$result[] = $ary;
		}
		return $result;
	}
}
?>
