<?php
define("MSG_DB_ALREADY_CONNECTED", "DBに既に接続しています。");
define("MSG_DB_CONNECTION_FAILED", "DBの接続に失敗しました。");
define("MSG_PARAM_IS_REQUIRED", "入力値：{0}は必須です。");
define("MSG_PARAM_IS_BAD_FORMAT", "入力値：{0}には{1}を入力して下さい。");
define("MSG_LOGIN_SUCCEED", "ログインに成功しました。");
define("MSG_LOGIN_FAILED", "ログインに失敗しました。");
define("MSG_VALUE_ALREADY_EXISTS", "{0} : {1}は既に存在しています。");
define("MSG_THEME_INFO_NOT_FOUND", "テーマ情報が見つかりません：{0}");
define("MSG_COLLECTION_INFO_NOT_FOUND", "コレクション情報が見つかりません：{0}");
define("MSG_COLLECTION_DETAIL_INFO_NOT_FOUND", "コレクション詳細情報が見つかりません：{0},{1}");
define("MSG_REGISTERING_USER_SUCCEED", "ユーザ情報の登録に成功しました。");
define("MSG_REGISTERING_THEME_SUCCEED", "テーマ情報の登録に成功しました。");
define("MSG_REGISTERING_COLLECTION_SUCCEED", "コレクション情報の登録に成功しました。");
define("MSG_DELETING_USER_SUCCEED", "ユーザ情報の削除に成功しました。");
define("MSG_DELETING_THEME_SUCCEED", "テーマ情報の削除に成功しました。");
define("MSG_DELETING_COLLECTION_SUCCEED", "コレクション情報の削除に成功しました。");
define("MSG_NOT_DELETE_THEME_1", "コレクション情報があるためテーマを削除できません。");
define("MSG_USER_ALREADY_EXISTS", "ユーザは既に存在しています：{0}");
define("MSG_USER_INFO_NOT_FOUND", "ユーザ情報が見つかりません：{0}");
define("MSG_USER_INFO_NOT_EDITABLE", "このユーザ情報は編集できません：{0}");
define("MSG_COLLECTION_INFO_NOT_EDITABLE", "このコレクション情報は編集できません：{0}");
define("MSG_THEME_INFO_NOT_EDITABLE", "このテーマ情報は編集できません：{0}");
define("MSG_INPUTED_PASSWORD_NOT_MATCH", "入力されたパスワードが一致しません。");
define("MSG_NO_AUTHORITY", "権限がありません。");
define("MSG_NO_COMMAND", "コマンドがありません。");
define("MSG_UNKNOWN_COMMAND", "コマンドが不明です：{0}");
define("MSG_COLLECTION_NUM_OVER", "このテーマにコレクションは{0}個までです。");
define("MSG_COLLECTION_DETAIL_NUM_OVER", "このテーマにイメージは{0}個までです。");
define("MSG_NOT_SUPPORTED_FILE_TYPE", "サポートされていないファイル形式です：{0}");
define("MSG_NO_FILE_IS_UPLOADED", "ファイルがアップロードされていません。");

define("ITEM_THEME_MANAGER", "テーマ管理");
define("ITEM_SYSTEM_MANAGER", "システム管理");
define("ITEM_LINE", "行");
define("ITEM_TOP", "トップ");
define("ITEM_THEME_LIST", "テーマリスト");
define("ITEM_PREV", "前へ");
define("ITEM_NEXT", "次へ");
define("ITEM_MOVE_UP", "	上へ");
define("ITEM_MOVE_DOWN", "下へ");
define("ITEM_REGISTER", "登録");
define("ITEM_PREV_PAGE", "[前]");
define("ITEM_NEXT_PAGE", "[次]");
define("ITEM_NEW", "新規");
define("ITEM_EDIT", "編集");
define("ITEM_THEME_NEW", "テーマ新規");
define("ITEM_THEME_EDIT", "テーマ編集");
define("ITEM_THEME_CONFIRM", "テーマ編集確認");
define("ITEM_THEME_DELETE", "テーマ削除");
define("ITEM_COLLECTION_NEW", "コレクション新規");
define("ITEM_COLLECTION_EDIT", "コレクション編集");
define("ITEM_COLLECTION_CONFIRM", "コレクション編集確認");
define("ITEM_COLLECTION_DELETE", "コレクション削除");
define("ITEM_ADD", "追加");
define("ITEM_DELETE", "削除");
define("ITEM_LOGIN", "ログイン");
define("ITEM_LOGOUT", "ログアウト");
define("ITEM_MY_PAGE", "マイページ");
define("ITEM_USER_NEW", "ユーザ新規");
define("ITEM_USER_EDIT", "ユーザ情報編集");
define("ITEM_USER_CONFIRM", "ユーザ情報編集確認");
define("ITEM_MANAGE_USER_LIST", "管理用ユーザ一覧");
define("ITEM_MANAGE_USER_EDIT", "管理用ユーザ編集");
define("ITEM_APPRICATION_ERROR", "アプリケーションエラー");

define("ITEM_WILL_BE_MODIFIED", "変更されます。");
define("ITEM_WILL_NOT_BE_MODIFIED", "変更されません。");

define("ITEM_EDIT_USER_INFO", "ユーザ情報編集");

$genericCode = array();
$genericCode['THEME_STATUS'] = array(
	0 => "編集不可・非公開",
	1 => "編集不可・公開",
	2 => "編集可・非公開",
	3 => "編集可・公開"
);

$genericCode['COLLECTION_STATUS'] = array(
	0 => "非公開",
	1 => "公開",
);

$genericCode['THEME_STATUS_NOT_LOGIN'] = array(
	0 => "非公開",
	1 => "",
	2 => "非公開",
	3 => ""
);

$genericCode['COLLECTION_STATUS_NOT_LOGIN'] = array(
	0 => "非公開",
	1 => "",
);

$genericCode['ENABLE'] = array(
	0 => "無効",
	1 => "有効",
);

$genericCode['FLAG'] = array(
	0 => "NO",
	1 => "YES",
);

$genericCode['DATA_NAME'] = array(
	"collectionNum" => "コレクション数",
	"collectionDetailNum" => "コレクション詳細数",
	"collectionSeq" => "コレクションSEQ",
	"collectionStatus" => "コレクションステータス",
	"createTimestamp" => "作成日時",
	"createUser" => "作成ユーザSEQ",
	"description1" => "説明1",
	"description2" => "説明2",
	"description3" => "説明3",
	"description4" => "説明4",
	"subSeq" => "SubSeq",
	"displayNo" => "ディスプレイNO",
	"enable" => "利用可否",
	"enableFlag" => "利用可否",
	"imageFileSeq" => "ファイルSEQ",
	"imageSeq" => "イメージSEQ",
	"nickName" => "ニックネーム",
	"originalFileName" => "オリジナルファイル名",
	"passwordHash" => "パスワードハッシュ",
	"realFileName" => "実ファイル名",
	"seq" => "SEQ",
	"sortNo" => "ソートNO",
	"themeSeq" => "テーマSEQ",
	"themeStatus" => "テーマステータス",
	"thumbnailFileSeq" => "サムネイルファイルSEQ",
	"title1" => "タイトル1",
	"title2" => "タイトル2",
	"title3" => "タイトル3",
	"title4" => "タイトル4",
	"updateTimestamp" => "更新日時",
	"updateUser" => "更新ユーザSEQ",
	"userId" => "ユーザID",
	"userSeq" => "ユーザSEQ",
	"actionName" => "アクション名",
	"viewName" => "ビュー名",
	"form" => "フォーム",
	"formState" => "フォーム状態",
	"password" => "パスワード",
	"passwordConfirm" => "パスワード確認",
	"imageRealFileName" => "イメージ実ファイル名",
	"imageOriginalFileName" => "イメージオリジナルファイル名",
	"thumbnailRealFileName" => "サムネイル実ファイル名",
	"thumbnailOriginalFileName" => "サムネイルオリジナルファイル名",
	"themeDtoList" => "テーマ情報リスト",
	"themeUserDtoList" => "テーマユーザ情報リスト",
	"collectionDtoList" => "コレクション情報リスト",
	"collectionDetailDtoList" => "コレクション詳細情報リスト",
	"actionExecuteDto" => "アクション結果",
	"themeDto" => "テーマ情報",
	"collectionDto" => "コレクション情報",
	"collectionDetailDto" => "コレクション詳細情報",
	"themeUserDto" => "テーマユーザ情報",
	"userDto" => "ユーザ情報",
	"fileDto" => "ファイル情報",
	"imageDto" => "イメージ情報",
	"uploadFile" => "アップロードファイル",
	"forwardActionName" => "フォワード先アクション名",
	"errorMessageList" => "エラーメッセージリスト",
	"pageNo" => "現ページ番号",
	"themeManager" => "テーマ管理",
	"systemManager" => "システム管理",
);
$genericCode['MASK_NAME'] = array(
	"Seq" => "整数値",
	"SubSeq" => "整数値",
	"UserId" => "英数字20文字以内",
	"NickName" => "20文字以内",
	"ThemeStatus" => "ステータス",
	"CollectionStatus" => "ステータス",
	"CollectionNum" => "整数値",
	"Hash" => "ハッシュ値",
	"Flag" => "0または1",
	"Title" => "40文字以内",
	"Description" => "100文字以内",
	"FileName" => "255文字以内",
	"SortNo" => "整数値",
	"Timestamp" => "YYYY/MM/DD HH:MI:SS",
	"Date" => "YYYY/MM/DD",
	"Text" => "文字列",
	"Password" => "パスワード",
	"PageNo" => "整数値",
);
$genericCode['VIEW_NAME'] = array(
	"ThemeListView" => "テーマ一覧",
	"ThemeBrowseView" => "テーマ閲覧",
	"ThemeEditView" => "テーマ編集",
	"ThemeDeleteView" => "テーマ削除",
	"ThemeConfirmView" => "テーマ編集確認",
	"CollectionBrowseView" => "コレクション閲覧",
	"CollectionDetailView" => "コレクション詳細",
	"CollectionEditView" => "コレクション編集",
	"CollectionDeleteView" => "コレクション削除",
	"CollectionConfirmView" => "コレクション編集確認",
	"LoginView" => "ログイン",
	"MyPageView" => "マイページ",
	"UserEditView" => "ユーザ編集",
	"UserConfirmView" => "ユーザ編集確認",
	"ManageUserListView" => "管理用ユーザ一覧",
	"ManageUserEditView" => "管理用ユーザ編集",
	"AppricationErrorView" => "アプリケーションエラー",
);
?>
