<div class="themeBrowse">

<div class="upperContent">
<div class="themeInfo">
	<?php $formUtil->push("themeDto"); ?>
		<span class="title1"><?php $formUtil->out("title1"); ?></span>
		<?php if (UserUtil::isLoggedIn()) { ?>
			<span class="themeStatus"><?php $formUtil->translate("themeStatus", "THEME_STATUS"); ?></span><br/>
		<?php } else { ?>
			<span class="themeStatus"><?php $formUtil->translate("themeStatus", "THEME_STATUS_NOT_LOGIN"); ?></span><br/>
		<?php } ?>
		<span class="description1"><?php $formUtil->out("description1"); ?></span>
	<?php $formUtil->pop(); ?>
</div>
</div>

<div class="centerContent">
<div class="themeNavi">
	<?php if ($formUtil->getFormValue("themeEditableFlag")) { ?>
		<a href="?%23ThemeEdit_editTheme=0&p[themeDto][seq]=<?php $formUtil->out("themeDto.seq"); ?>" ><?php print(ITEM_THEME_EDIT); ?></a>
		<a href="?%23ThemeEdit_deleteTheme=0&p[themeDto][seq]=<?php $formUtil->out("themeDto.seq"); ?>" ><?php print(ITEM_THEME_DELETE); ?></a>
	<?php } ?>
	<?php if ($formUtil->getFormValue("collectionCreatableFlag")) { ?>
		<a href="?%23CollectionEdit_createCollection=0&p[collectionDto][themeSeq]=<?php $formUtil->out("themeDto.seq"); ?>" ><?php print(ITEM_COLLECTION_NEW); ?></a>
	<?php } ?>
</div>
<div class="pageNavi">
	<?php if (!$formUtil->isFormBlank("prevPageNo")) { ?>
		<a href="?%23ThemeBrowse=0&p[seq]=<?php $formUtil->out("themeDto.seq"); ?>&p[pageNo]=<?php $formUtil->out("prevPageNo"); ?>" >
			<?php print(ITEM_PREV_PAGE);?>
		</a>
	<?php } ?>
	<?php $formUtil->out("pageNo"); ?> / <?php $formUtil->out("totalPageNo"); ?>
	<?php if (!$formUtil->isFormBlank("nextPageNo")) { ?>
		<a href="?%23ThemeBrowse=0&p[seq]=<?php $formUtil->out("themeDto.seq"); ?>&p[pageNo]=<?php $formUtil->out("nextPageNo"); ?>" >
			<?php print(ITEM_NEXT_PAGE);?>
		</a>
	<?php } ?>
</div>
<?php for ($i=0;$i<$formUtil->count('collectionDtoList');$i++) { ?>
	<div class="collectionInfo">
	<?php $formUtil->push("collectionDtoList.$i"); ?>
	<?php if ($formUtil->getFormValue("browsableFlag")) { ?>
		<span class="title1"><a href="?%23CollectionBrowse=0&p[seq]=<?php $formUtil->out("seq"); ?>" ><?php $formUtil->out("title1"); ?></a></span>
		<?php if (UserUtil::isLoggedIn()) { ?>
			<span class="collectionStatus"><?php $formUtil->translate("collectionStatus", "COLLECTION_STATUS"); ?></span>
		<?php } else { ?>
			<span class="collectionStatus"><?php $formUtil->translate("collectionStatus", "COLLECTION_STATUS_NOT_LOGIN"); ?></span>
		<?php } ?>
		<br/>
		<span class="nickName"><?php $formUtil->out("nickName"); ?></span>
		<br/>
		<span class="description1"><?php $formUtil->out("description1"); ?></span><br/>
		<?php for ($j=0;$j<$formUtil->count('collectionDetailDtoList');$j++) { ?>
			<?php $formUtil->push("collectionDetailDtoList.$j"); ?>
			<a href="?%23CollectionDetail=0&p[seq]=<?php $formUtil->out("collectionSeq"); ?>&p[pageNo]=<?php print($j+1); ?>" ><img src="<?php print($imageFileDir)?><?php $formUtil->out("thumbnailRealFileName"); ?>" /></a>
			<?php $formUtil->pop(); ?>
		<?php } ?>
	<?php } else { ?>
		<?php $formUtil->out("title1"); ?>
		 - <?php $formUtil->out("nickName"); ?>
		<span class="collectionStatus"><?php $formUtil->translate("collectionStatus", "COLLECTION_STATUS"); ?></span><br/>
	<?php } ?>
	<?php $formUtil->pop(); ?>
	</div>
<?php } ?>

<div class="pageNavi">
	<?php if (!$formUtil->isFormBlank("prevPageNo")) { ?>
		<a href="?%23ThemeBrowse=0&p[seq]=<?php $formUtil->out("themeDto.seq"); ?>&p[pageNo]=<?php $formUtil->out("prevPageNo"); ?>" >
			<?php print(ITEM_PREV_PAGE);?>
		</a>
	<?php } ?>
	<?php $formUtil->out("pageNo"); ?> / <?php $formUtil->out("totalPageNo"); ?>
	<?php if (!$formUtil->isFormBlank("nextPageNo")) { ?>
		<a href="?%23ThemeBrowse=0&p[seq]=<?php $formUtil->out("themeDto.seq"); ?>&p[pageNo]=<?php $formUtil->out("nextPageNo"); ?>" >
			<?php print(ITEM_NEXT_PAGE);?>
		</a>
	<?php } ?>
</div>
</div>
</div>
