<?php
class LoginProcessAction extends BaseAction {
	public function action(ActionInfo &$actionInfo) {
		$form = &$actionInfo->form;
		$request = &$actionInfo->request;
		
		// 入力値チェック
		$validate = TRUE;
		$validate = $validate & ValidateUtil::validate($actionInfo->errorMessageList,'userId', 'UserId', $request["userId"], TRUE, FALSE);
		$validate = $validate & ValidateUtil::validate($actionInfo->errorMessageList, "password", "Password", $request["password"], TRUE, FALSE);
		if (!$validate) {
			// エラー
			$actionInfo->forwardActionName = "Login";
			return;
		}
		
		// ログイン処理の実行
		$userId = $request["userId"];
		$password = $request["password"];
		if (UserUtil::login($userId,$password)) {
			$actionInfo->forwardActionName = "ThemeList";
		} else {
			$actionInfo->errorMessageList[] = getMessage(MSG_LOGIN_FAILED);
			$actionInfo->form["userId"] = $request["userId"];
			$actionInfo->viewName = 'LoginView';
		}
	}
}
?>