<?php
class ActionInfo {
	public $actionName;
	public $commands = array();
	public $viewName;
	public $request = array();
	public $form = array();
	public $formState = array();
	public $forwardActionName;
	public $noticeMessageList = array();
	public $errorMessageList = array();
	public $title;
	
	function reset() {
		$this->actionName = "";
		$this->viewName = "";
		$this->request = array();
		$this->form = array();
		$this->formState = array();
		$this->forwardActionName = "";
		$this->errorMessageList = array();
	}
	
	function parseRequest(array &$request) {
		$this->actionName = "";
		foreach($request as $key => $param) {
			if (preg_match('/^#\w+$/',$key)) {
				$str = substr($key, 1, strlen($key));
				$this->commands = explode("_",$str);
				$this->actionName = array_shift($this->commands);
				break;
			}
		}
		if (isset($request[PARAM_PREFIX])) {
			$this->request = $request[PARAM_PREFIX];
		}
	}
}
?>
