<?php
class CollectionDetailDto {
	public $createUser;
	public $createTimestamp;
	public $updateUser;
	public $updateTimestamp;
	public $seq;
	public $collectionSeq;
	public $subSeq;
	public $imageSeq;
	public $title1;
	public $title2;
	public $title3;
	public $title4;
	public $description1;
	public $description2;
	public $description3;
	public $description4;
	public $sortNo;
	public $imageRealFileName;
	public $imageOriginalFileName;
	public $thumbnailRealFileName;
	public $thumbnailOriginalFileName;

	public function copyFromArray(array &$ary) {
		$this->createUser = $ary["createUser"];
		$this->createTimestamp = $ary["createTimestamp"];
		$this->updateUser = $ary["updateUser"];
		$this->updateTimestamp = $ary["updateTimestamp"];
		$this->seq = $ary["seq"];
		$this->collectionSeq = $ary["collectionSeq"];
		$this->subSeq = $ary["subSeq"];
		$this->imageSeq = $ary["imageSeq"];
		$this->title1 = $ary["title1"];
		$this->title2 = $ary["title2"];
		$this->title3 = $ary["title3"];
		$this->title4 = $ary["title4"];
		$this->description1 = $ary["description1"];
		$this->description2 = $ary["description2"];
		$this->description3 = $ary["description3"];
		$this->description4 = $ary["description4"];
		$this->sortNo = $ary["sortNo"];
		$this->imageRealFileName = $ary["imageRealFileName"];
		$this->imageOriginalFileName = $ary["imageOriginalFileName"];
		$this->thumbnailRealFileName = $ary["thumbnailRealFileName"];
		$this->thumbnailOriginalFileName = $ary["thumbnailOriginalFileName"];
	}
	public function copyToArray(array &$ary) {
		$ary["createUser"] = $this->createUser;
		$ary["createTimestamp"] = $this->createTimestamp;
		$ary["updateUser"] = $this->updateUser;
		$ary["updateTimestamp"] = $this->updateTimestamp;
		$ary["seq"] = $this->seq;
		$ary["collectionSeq"] = $this->collectionSeq;
		$ary["subSeq"] = $this->subSeq;
		$ary["imageSeq"] = $this->imageSeq;
		$ary["title1"] = $this->title1;
		$ary["title2"] = $this->title2;
		$ary["title3"] = $this->title3;
		$ary["title4"] = $this->title4;
		$ary["description1"] = $this->description1;
		$ary["description2"] = $this->description2;
		$ary["description3"] = $this->description3;
		$ary["description4"] = $this->description4;
		$ary["sortNo"] = $this->sortNo;
		$ary["imageRealFileName"] = $this->imageRealFileName;
		$ary["imageOriginalFileName"] = $this->imageOriginalFileName;
		$ary["thumbnailRealFileName"] = $this->thumbnailRealFileName;
		$ary["thumbnailOriginalFileName"] = $this->thumbnailOriginalFileName;
	}
	public static function createDtoArrayFromArrayArray(array &$aryAry) {
		$result = array();
		foreach ($aryAry as &$ary) {
			$dto = new CollectionDetailDto();
			$dto->copyFromArray($ary);
			$result[] = $dto;
		}
		return $result;
	}
	public static function createArrayArrayFromDtoArray(array &$dtoAry) {
		$result = array();
		foreach ($dtoAry as &$dto) {
			$ary = array();
			$dto->copyToArray($ary);
			$result[] = $ary;
		}
		return $result;
	}
}
?>
