<?php
class ImageDto {
	public $createUser;
	public $createTimestamp;
	public $updateUser;
	public $updateTimestamp;
	public $seq;
	public $imageFileSeq;
	public $thumbnailFileSeq;
	public $userId;
	public $nickName;
	public $imageRealFileName;
	public $imageOriginalFileName;
	public $thumbnailRealFileName;
	public $thumbnailOriginalFileName;

	public function copyFromArray(array &$ary) {
		$this->createUser = $ary["createUser"];
		$this->createTimestamp = $ary["createTimestamp"];
		$this->updateUser = $ary["updateUser"];
		$this->updateTimestamp = $ary["updateTimestamp"];
		$this->seq = $ary["seq"];
		$this->imageFileSeq = $ary["imageFileSeq"];
		$this->thumbnailFileSeq = $ary["thumbnailFileSeq"];
		$this->userId = $ary["userId"];
		$this->nickName = $ary["nickName"];
		$this->imageRealFileName = $ary["imageRealFileName"];
		$this->imageOriginalFileName = $ary["imageOriginalFileName"];
		$this->thumbnailRealFileName = $ary["thumbnailRealFileName"];
		$this->thumbnailOriginalFileName = $ary["thumbnailOriginalFileName"];
	}
	public function copyToArray(array &$ary) {
		$ary["createUser"] = $this->createUser;
		$ary["createTimestamp"] = $this->createTimestamp;
		$ary["updateUser"] = $this->updateUser;
		$ary["updateTimestamp"] = $this->updateTimestamp;
		$ary["seq"] = $this->seq;
		$ary["imageFileSeq"] = $this->imageFileSeq;
		$ary["thumbnailFileSeq"] = $this->thumbnailFileSeq;
		$ary["userId"] = $this->userId;
		$ary["nickName"] = $this->nickName;
		$ary["imageRealFileName"] = $this->imageRealFileName;
		$ary["imageOriginalFileName"] = $this->imageOriginalFileName;
		$ary["thumbnailRealFileName"] = $this->thumbnailRealFileName;
		$ary["thumbnailOriginalFileName"] = $this->thumbnailOriginalFileName;
	}
	public static function createDtoArrayFromArrayArray(array &$aryAry) {
		$result = array();
		foreach ($aryAry as &$ary) {
			$dto = new ImageDto();
			$dto->copyFromArray($ary);
			$result[] = $dto;
		}
		return $result;
	}
	public static function createArrayArrayFromDtoArray(array &$dtoAry) {
		$result = array();
		foreach ($dtoAry as &$dto) {
			$ary = array();
			$dto->copyToArray($ary);
			$result[] = $ary;
		}
		return $result;
	}
}
?>
