<?php
class ThemeDto {
	public $createUser;
	public $createTimestamp;
	public $updateUser;
	public $updateTimestamp;
	public $seq;
	public $title1;
	public $title2;
	public $title3;
	public $title4;
	public $description1;
	public $description2;
	public $description3;
	public $description4;
	public $themeStatus;
	public $collectionNum;
	public $collectionDetailNum;
	public $sortNo;
	public $themeUserDtoList = array();
	public $collectionDtoList = array();

	public function copyFromArray(array &$ary) {
		$this->createUser = $ary["createUser"];
		$this->createTimestamp = $ary["createTimestamp"];
		$this->updateUser = $ary["updateUser"];
		$this->updateTimestamp = $ary["updateTimestamp"];
		$this->seq = $ary["seq"];
		$this->title1 = $ary["title1"];
		$this->title2 = $ary["title2"];
		$this->title3 = $ary["title3"];
		$this->title4 = $ary["title4"];
		$this->description1 = $ary["description1"];
		$this->description2 = $ary["description2"];
		$this->description3 = $ary["description3"];
		$this->description4 = $ary["description4"];
		$this->themeStatus = $ary["themeStatus"];
		$this->collectionNum = $ary["collectionNum"];
		$this->collectionDetailNum = $ary["collectionDetailNum"];
		$this->sortNo = $ary["sortNo"];
		$this->themeUserDtoList = ($ary["themeUserDtoList"] != NULL) ? ThemeUserDto::createDtoArrayFromArrayArray($ary["themeUserDtoList"]) : array();
		$this->collectionDtoList = ($ary["collectionDtoList"] != NULL) ? CollectionDto::createDtoArrayFromArrayArray($ary["collectionDtoList"]) : array();
	}
	public function copyToArray(array &$ary) {
		$ary["createUser"] = $this->createUser;
		$ary["createTimestamp"] = $this->createTimestamp;
		$ary["updateUser"] = $this->updateUser;
		$ary["updateTimestamp"] = $this->updateTimestamp;
		$ary["seq"] = $this->seq;
		$ary["title1"] = $this->title1;
		$ary["title2"] = $this->title2;
		$ary["title3"] = $this->title3;
		$ary["title4"] = $this->title4;
		$ary["description1"] = $this->description1;
		$ary["description2"] = $this->description2;
		$ary["description3"] = $this->description3;
		$ary["description4"] = $this->description4;
		$ary["themeStatus"] = $this->themeStatus;
		$ary["collectionNum"] = $this->collectionNum;
		$ary["collectionDetailNum"] = $this->collectionDetailNum;
		$ary["sortNo"] = $this->sortNo;
		$ary["themeUserDtoList"] = ($this->themeUserDtoList != NULL) ? ThemeUserDto::createArrayArrayFromDtoArray($this->themeUserDtoList) : array();
		$ary["collectionDtoList"] = ($this->collectionDtoList != NULL) ? CollectionDto::createArrayArrayFromDtoArray($this->collectionDtoList) : array();
	}
	public static function createDtoArrayFromArrayArray(array &$aryAry) {
		$result = array();
		foreach ($aryAry as &$ary) {
			$dto = new ThemeDto();
			$dto->copyFromArray($ary);
			$result[] = $dto;
		}
		return $result;
	}
	public static function createArrayArrayFromDtoArray(array &$dtoAry) {
		$result = array();
		foreach ($dtoAry as &$dto) {
			$ary = array();
			$dto->copyToArray($ary);
			$result[] = $ary;
		}
		return $result;
	}
}
?>
