<?php
class ThemeUserDto {
	public $createUser;
	public $createTimestamp;
	public $updateUser;
	public $updateTimestamp;
	public $seq;
	public $themeSeq;
	public $userSeq;
	public $enable;
	public $sortNo;
	public $userId;
	public $nickName;

	public function copyFromArray(array &$ary) {
		$this->createUser = $ary["createUser"];
		$this->createTimestamp = $ary["createTimestamp"];
		$this->updateUser = $ary["updateUser"];
		$this->updateTimestamp = $ary["updateTimestamp"];
		$this->seq = $ary["seq"];
		$this->themeSeq = $ary["themeSeq"];
		$this->userSeq = $ary["userSeq"];
		$this->enable = $ary["enable"];
		$this->sortNo = $ary["sortNo"];
		$this->userId = $ary["userId"];
		$this->nickName = $ary["nickName"];
	}
	public function copyToArray(array &$ary) {
		$ary["createUser"] = $this->createUser;
		$ary["createTimestamp"] = $this->createTimestamp;
		$ary["updateUser"] = $this->updateUser;
		$ary["updateTimestamp"] = $this->updateTimestamp;
		$ary["seq"] = $this->seq;
		$ary["themeSeq"] = $this->themeSeq;
		$ary["userSeq"] = $this->userSeq;
		$ary["enable"] = $this->enable;
		$ary["sortNo"] = $this->sortNo;
		$ary["userId"] = $this->userId;
		$ary["nickName"] = $this->nickName;
	}
	public static function createDtoArrayFromArrayArray(array &$aryAry) {
		$result = array();
		foreach ($aryAry as &$ary) {
			$dto = new ThemeUserDto();
			$dto->copyFromArray($ary);
			$result[] = $dto;
		}
		return $result;
	}
	public static function createArrayArrayFromDtoArray(array &$dtoAry) {
		$result = array();
		foreach ($dtoAry as &$dto) {
			$ary = array();
			$dto->copyToArray($ary);
			$result[] = $ary;
		}
		return $result;
	}
}
?>
