<?php
class UserDto {
	public $createUser;
	public $createTimestamp;
	public $updateUser;
	public $updateTimestamp;
	public $seq;
	public $userId;
	public $nickName;
	public $passwordHash;
	public $enable;
	public $userAttributeDtoList = array();

	public function copyFromArray(array &$ary) {
		$this->createUser = $ary["createUser"];
		$this->createTimestamp = $ary["createTimestamp"];
		$this->updateUser = $ary["updateUser"];
		$this->updateTimestamp = $ary["updateTimestamp"];
		$this->seq = $ary["seq"];
		$this->userId = $ary["userId"];
		$this->nickName = $ary["nickName"];
		$this->passwordHash = $ary["passwordHash"];
		$this->enable = $ary["enable"];
		$this->userAttributeDtoList = ($ary["userAttributeDtoList"] != NULL) ? UserAttributeDto::createDtoArrayFromArrayArray($ary["userAttributeDtoList"]) : array();
	}
	public function copyToArray(array &$ary) {
		$ary["createUser"] = $this->createUser;
		$ary["createTimestamp"] = $this->createTimestamp;
		$ary["updateUser"] = $this->updateUser;
		$ary["updateTimestamp"] = $this->updateTimestamp;
		$ary["seq"] = $this->seq;
		$ary["userId"] = $this->userId;
		$ary["nickName"] = $this->nickName;
		$ary["passwordHash"] = $this->passwordHash;
		$ary["enable"] = $this->enable;
		$ary["userAttributeDtoList"] = ($this->userAttributeDtoList != NULL) ? UserAttributeDto::createArrayArrayFromDtoArray($this->userAttributeDtoList) : array();
	}
	public static function createDtoArrayFromArrayArray(array &$aryAry) {
		$result = array();
		foreach ($aryAry as &$ary) {
			$dto = new UserDto();
			$dto->copyFromArray($ary);
			$result[] = $dto;
		}
		return $result;
	}
	public static function createArrayArrayFromDtoArray(array &$dtoAry) {
		$result = array();
		foreach ($dtoAry as &$dto) {
			$ary = array();
			$dto->copyToArray($ary);
			$result[] = $ary;
		}
		return $result;
	}
}
?>
